Holger's Java API

## com.antelmann.db
Class LoginListener.Adapter

    java.lang.Object
      com.antelmann.db.LoginListener.Adapter

All Implemented Interfaces:
  LoginListener, EventListener

Enclosing interface:
  LoginListener

    public abstract static class LoginListener.Adapter

extends Object
implements LoginListener

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.LoginListener
`LoginListener.Adapter`

Constructor Summary
`LoginListener.Adapter()`

Method Summary
`void` `failedLogin(UserLoginStore uls, String location, Exception exception)` called when a login was either canceled or failed due to an exception
`void` `loginPerformed(UserLoginStore uls, User user, String location)` called when a user logged into the store
`void` `logoutPerformed(UserLoginStore uls, User user)` called when a user logged out

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginListener.Adapter

    public LoginListener.Adapter()

Method Detail

### failedLogin

    public void failedLogin(UserLoginStore uls,
                            String location,
                            Exception exception)

  Description copied from interface: `LoginListener`
  called when a login was either canceled or failed due to an exception

  Specified by:
    `failedLogin` in interface `LoginListener`
    `location` - denotes where the event occurred
    `exception` - is commonly either a `DatabaseException` or a `FailedLoginException`
  See Also:
    `DatabaseException`, `FailedLoginException`

### loginPerformed

    public void loginPerformed(UserLoginStore uls,
                               User user,
                               String location)

  Description copied from interface: `LoginListener`
  called when a user logged into the store

  Specified by:
    `loginPerformed` in interface `LoginListener`

### logoutPerformed

    public void logoutPerformed(UserLoginStore uls,
                                User user)

  Description copied from interface: `LoginListener`
  called when a user logged out

  Specified by:
    `logoutPerformed` in interface `LoginListener`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads